View Issue Details

IDProjectCategoryView StatusLast Update
0032712Open CASCADEOCCT:Visualizationpublic2021-12-11 15:26
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeveritytweak 
Status verifiedResolutionfixed 
Target Version7.6.0 
Summary0032712: Visualization, OpenGl_Context.hxx - avoid including OpenGL headers
DescriptionOpenGl_Context.hxx should not include OpenGL headers.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Activities

git

2021-12-04 15:21

administrator   ~0105667

Branch CR32712 has been created by kgv.

SHA-1: f113575951d41ac560c6802c0c11b4d3832d6235


No new revisions were added by this update.

kgv

2021-12-04 17:44

developer   ~0105673

Please raise the patch
- OCCT: branch CR32712.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32712-master-KGV/

smoskvin

2021-12-11 11:34

administrator   ~0105801

Combination -
OCCT branch : IR-2021-12-10
master SHA - e463b2f685d8c815f8a7ab996c6843808e8b1430
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-10 SHA - 6377a4e004f3c988c651adf5eca35203f239b1c2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18222.380000000427 / 18166.60000000042 [+0.31%]
Products
Total CPU difference: 11645.100000000084 / 11658.820000000103 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 19999.4375 / 19937.953125 [+0.31%]
Products
Total CPU difference: 13044.453125 / 13069.28125 [-0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-11 15:26

administrator   ~0105820

Branch CR32712 has been deleted by mnt.

SHA-1: f113575951d41ac560c6802c0c11b4d3832d6235

Related Changesets

occt: master 7ce8fe05

2021-12-03 16:51:07

kgv


Committer: smoskvin Details Diff
0032712: Visualization, OpenGl_Context.hxx - avoid including OpenGL headers Affected Issues
0032712
mod - src/OpenGl/OpenGl_Context.cxx Diff File
mod - src/OpenGl/OpenGl_Context.hxx Diff File
mod - src/OpenGl/OpenGl_IndexBuffer.cxx Diff File
mod - src/OpenGl/OpenGl_UniformBuffer.cxx Diff File

Issue History

Date Modified Username Field Change
2021-12-04 13:15 kgv New Issue
2021-12-04 13:15 kgv Assigned To => kgv
2021-12-04 15:21 git Note Added: 0105667
2021-12-04 17:44 kgv Test case number => N/A
2021-12-04 17:44 kgv Note Added: 0105673
2021-12-04 17:44 kgv Assigned To kgv => bugmaster
2021-12-04 17:44 kgv Severity integration request => tweak
2021-12-04 17:44 kgv Status new => resolved
2021-12-04 17:44 kgv Status resolved => reviewed
2021-12-11 11:34 smoskvin Note Added: 0105801
2021-12-11 11:34 smoskvin Status reviewed => tested
2021-12-11 15:14 smoskvin Changeset attached => occt master 7ce8fe05
2021-12-11 15:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-11 15:14 smoskvin Status tested => verified
2021-12-11 15:14 smoskvin Resolution open => fixed
2021-12-11 15:26 git Note Added: 0105820